package com.server;

import org.apache.log4j.Logger;
import org.apache.log4j.PropertyConfigurator;

import java.util.HashMap;
import java.util.ResourceBundle;
import java.rmi.RemoteException;

/**
 * User: personal
 * Date: Oct 22, 2004
 * Time: 4:29:21 PM
 */
public class TestPortImpl implements TestPort {
    protected static final Logger logger = Logger.getLogger( TestPortImpl.class );

    public TestPortImpl() {
        ResourceBundle bundle = ResourceBundle.getBundle("system");
        String rootpath = bundle.getString("app_home");
        PropertyConfigurator.configure(rootpath+"/log4j.xml");
    }

    public HashMap getAddresses() throws RemoteException {
        HashMap map = new HashMap();
        map.put("name","Olonga");
        map.put("place","Australia");
        return map;
    }
}
